﻿//由 EmployeeID (如: 1, 2 ,3 ,...)，去数据库取出他的 LastName、Title
function getEmployeeInfo(TextBox1, TextBox2, TextBox3) {
    var TextBox1_temp = document.getElementById(TextBox1);
    
    if (TextBox1_temp.value.length == 0) {         //若用户手动用鼠标將 TextBox1 清空，則也一併清空 TextBox2、TextBox3
        document.getElementById(TextBox2).value = "";
        document.getElementById(TextBox3).value = "";
        return;      //离开此函数，不再执行后续用 C# 访问数据库的动作
    }

    //调用 App_Code 文件夹里，C# 自定义类的 getEmployeeInfo 函数
    var response = MyClass01.getEmployeeInfo(document.getElementById(TextBox1).value);

    //response 为从 C# 自定义类里的函数所传回来的，由一或多个 "§" 字符所组成的一个字符串
    if ((response.value == null) || (response.value.length == 0)) {      //若用户输入「不合理的字符」或「无对应数据的ID号码」
        alert('数据库里查无数据 !');
        document.getElementById(TextBox2).value = "";
        document.getElementById(TextBox3).value = "";
    }
    else if (response.value.length > 0) {                //若数据库里有查找到对应的数据
        var strArrResult = response.value.split("§");
        if (strArrResult[0].length > 0)
            document.getElementById(TextBox2).value = strArrResult[0];
        if (strArrResult[1].length > 0)
            document.getElementById(TextBox3).value = strArrResult[1];
    }
}


//由 ProductID (如: 1, 2 ,3 ,...)，去数据库取出他的 ProductName、QuantityPerUnit
function getProductInfo(TextBox4, TextBox5, TextBox6) {
    var TextBox4_temp = document.getElementById(TextBox4);
    
    if (TextBox4_temp.value.length == 0) {         //若用户手动用鼠标將 TextBox4 清空，則也一併清空 TextBox5、TextBox6
        document.getElementById(TextBox5).value = "";
        document.getElementById(TextBox6).value = "";
        return;      //离开此函数，不再执行后续用 C# 访问数据库的动作
    }

    //调用 App_Code 文件夹里，C# 自定义类的 getEmployeeInfo 函数
    var response = MyClass01.getProductInfo(document.getElementById(TextBox4).value);

    //response 为从 C# 自定义类里的函数所传回来的，由一或多个 "§" 字符所组成的一个字符串
    if ((response.value == null) || (response.value.length == 0)) {      //若用户输入「不合理的字符」或「无对应数据的ID号码」
        alert('数据库里查无数据 !');
        document.getElementById(TextBox5).value = "";
        document.getElementById(TextBox6).value = "";
    }
    else if (response.value.length > 0) {                //若数据库里有查找到对应的数据
        var strArrResult = response.value.split("§");
        if (strArrResult[0].length > 0)
            document.getElementById(TextBox5).value = strArrResult[0];
        if (strArrResult[1].length > 0)
            document.getElementById(TextBox6).value = strArrResult[1];
    }
}